# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/shares/{name}`

Gets a data object share from the metastore. The caller must have the USE_SHARE privilege on the metastore or be the owner of the share.

API scopes: sharing

## Path parameters

- `name` (string, optional)
  The name of the share.

## Query parameters

- `include_shared_data` (boolean, optional)
  Query for data to include in the share.
  Example: `true`

## Returns

Returns the ShareInfo object.

## Response

```json
{
  "name": "string",
  "owner": "string",
  "comment": "string",
  "storage_root": "string",
  "objects": [
    {
      "name": "string",
      "data_object_type": "string",
      "added_at": 0,
      "added_by": "string",
      "comment": "string",
      "shared_as": "string",
      "cdf_enabled": true,
      "history_data_sharing_status": "string",
      "start_version": 0,
      "status": "string",
      "content": "string",
      "string_shared_as": "string",
      "partitions": [
        {}
      ]
    }
  ],
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "storage_location": "string"
}
```

